Index: /branches/StatisticalTesting/HeuristicLab.Analysis.Statistics/3.3/StatisticalTestingView.cs
===================================================================
--- /branches/StatisticalTesting/HeuristicLab.Analysis.Statistics/3.3/StatisticalTestingView.cs	(revision 11611)
+++ /branches/StatisticalTesting/HeuristicLab.Analysis.Statistics/3.3/StatisticalTestingView.cs	(revision 11612)
@@ -37,4 +37,5 @@
   public sealed partial class StatisticalTestingView : ItemView {
     private const double significanceLevel = 0.05;
+    private const int requiredSampleSize = 5;
     private double[][] data;
 
@@ -212,5 +213,5 @@
     private void GenerateChart(DataTable histogramTable) {
       foreach (var row in histogramTable.Rows) {
-        dataTableView.AddPoints(row.Name, row.Values, true);
+        histogramControl.AddPoints(row.Name, row.Values, true);
       }
     }
@@ -254,5 +255,5 @@
 
       //alglib needs at least 5 samples for computation
-      if (data.Any(x => x.Length <= 5)) {
+      if (data.Any(x => x.Length <= requiredSampleSize)) {
         if (showMessage)
           MessageBox.Show(this, "You need to choose samples with a size greater 5.", "HeuristicLab", MessageBoxButtons.OK,
@@ -290,5 +291,5 @@
         return;
 
-      MainFormManager.GetMainForm<HeuristicLab.MainForm.WindowsForms.MainForm>().AddOperationProgressToView(this, "Calculating...");
+      MainFormManager.GetMainForm<HeuristicLab.MainForm.WindowsForms.MainForm>().AddOperationProgressToView(pairwiseTestGroupBox, "Calculating...");
       Task.Factory.StartNew(() => CalculatePairwiseAsync(groupName));
     }
@@ -298,5 +299,5 @@
       CalculatePairwiseTestDetails(groupName);
 
-      MainFormManager.GetMainForm<HeuristicLab.MainForm.WindowsForms.MainForm>().RemoveOperationProgressFromView(this);
+      MainFormManager.GetMainForm<HeuristicLab.MainForm.WindowsForms.MainForm>().RemoveOperationProgressFromView(pairwiseTestGroupBox);
     }
 
Index: /branches/StatisticalTesting/HeuristicLab.Analysis.Statistics/3.3/StatisticalTestingView.designer.cs
===================================================================
--- /branches/StatisticalTesting/HeuristicLab.Analysis.Statistics/3.3/StatisticalTestingView.designer.cs	(revision 11611)
+++ /branches/StatisticalTesting/HeuristicLab.Analysis.Statistics/3.3/StatisticalTestingView.designer.cs	(revision 11612)
@@ -74,5 +74,5 @@
       this.tabPage1 = new System.Windows.Forms.TabPage();
       this.tabPage2 = new System.Windows.Forms.TabPage();
-      this.dataTableView = new HeuristicLab.Analysis.Views.HistogramControl();
+      this.histogramControl = new HeuristicLab.Analysis.Views.HistogramControl();
       this.contextMenuStrip1.SuspendLayout();
       ((System.ComponentModel.ISupportInitialize)(this.splitContainer1)).BeginInit();
@@ -442,5 +442,5 @@
       // tabPage2
       // 
-      this.tabPage2.Controls.Add(this.dataTableView);
+      this.tabPage2.Controls.Add(this.histogramControl);
       this.tabPage2.Location = new System.Drawing.Point(4, 22);
       this.tabPage2.Name = "tabPage2";
@@ -453,11 +453,11 @@
       // dataTableView
       // 
-      this.dataTableView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.dataTableView.Location = new System.Drawing.Point(6, 6);
-      this.dataTableView.Name = "dataTableView";
-      this.dataTableView.Size = new System.Drawing.Size(910, 529);
-      this.dataTableView.TabIndex = 0;
+      this.histogramControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.histogramControl.Location = new System.Drawing.Point(6, 6);
+      this.histogramControl.Name = "dataTableView";
+      this.histogramControl.Size = new System.Drawing.Size(910, 529);
+      this.histogramControl.TabIndex = 0;
       // 
       // StatisticalTestingView
@@ -520,5 +520,5 @@
     private System.Windows.Forms.TabPage tabPage1;
     private System.Windows.Forms.TabPage tabPage2;
-    private HeuristicLab.Analysis.Views.HistogramControl dataTableView;
+    private HeuristicLab.Analysis.Views.HistogramControl histogramControl;
   }
 }